# Created by pyp2rpm-3.3.8
%global pypi_name rapidfuzz
%global pypi_version 2.5.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        Rapid fuzzy string matching
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxbachmann/RapidFuzz
Source0:        %{pypi_name}-%{pypi_version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ninja
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(jarowinkler)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(scikit-build)
BuildRequires:  python3dist(rapidfuzz-capi)

%description
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(jarowinkler)
Requires:       python3dist(numpy)

%description -n python3-%{pypi_name}
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
export RAPIDFUZZ_BUILD_EXTENSION=1
export CXXFLAGS="%{build_cxxflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Aug 16 2022 wally <wally> 2.5.0-2.mga9
+ Revision: 1878206
- build extension
- switch build to pyproject RPM macros

* Mon Aug 15 2022 kekepower <kekepower> 2.5.0-1.mga9
+ Revision: 1878092
- Update file lists
- imported package python-rapidfuzz

